random_shuffle.h File Reference

Go to the source code of this file.

## Classes

struct | __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >
struct | __gnu_parallel::_DRSSorterPU< _RAIter, _RandomNumberGenerator >

## Namespaces

namespace | __gnu_parallel

## Typedefs

typedef unsigned short | __gnu_parallel::_BinIndex

## Functions

template<typename _RAIter, typename _RandomNumberGenerator>
void | __gnu_parallel::__parallel_random_shuffle (_RAIter __begin, _RAIter __end, _RandomNumberGenerator __rng=_RandomNumber())
template<typename _RAIter, typename _RandomNumberGenerator>
void | __gnu_parallel::__parallel_random_shuffle_drs (_RAIter __begin, _RAIter __end, typename std::iterator_traits< _RAIter >::difference_type __n, _ThreadIndex __num_threads, _RandomNumberGenerator &__rng)
template<typename _RAIter, typename _RandomNumberGenerator>
void | __gnu_parallel::__parallel_random_shuffle_drs_pu (_DRSSorterPU< _RAIter, _RandomNumberGenerator > *__pus)
template<typename _RandomNumberGenerator>
int | __gnu_parallel::__random_number_pow2 (int __logp, _RandomNumberGenerator &__rng)
template<typename _Tp>
_Tp | __gnu_parallel::__round_up_to_pow2 (_Tp __x)
template<typename _RAIter, typename _RandomNumberGenerator>
void | __gnu_parallel::__sequential_random_shuffle (_RAIter __begin, _RAIter __end, _RandomNumberGenerator &__rng)

## Detailed Description

Parallel implementation of std::random_shuffle(). This file is a GNU parallel extension to the Standard C++ Library.

Definition in file random_shuffle.h.